--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/action/index.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/action/index.php	2025-06-27 11:43:39.614643000 +0000
@@ -52,13 +52,6 @@
 $MAXAGENDA = getDolGlobalString('AGENDA_EXT_NB', 5);
 $DELAYFORCACHE = 300;	// 300 seconds
 
-$action = GETPOST('action', 'aZ09');
-$optioncss = GETPOST('optioncss', 'aZ'); // Option for the css output (always '' except when 'print')
-$mode = GETPOST('mode', 'aZ09');
-if (empty($mode) && preg_match('/show_/', $action)) {
-	$mode = $action;	// For backward compatibility
-}
-
 $disabledefaultvalues = GETPOSTINT('disabledefaultvalues');
 
 $check_holiday = GETPOSTINT('check_holiday');
@@ -75,15 +68,13 @@
 
 $newparam = '';
 
-// Pagination parameters
-$limit = GETPOSTINT('limit') ? GETPOSTINT('limit') : $conf->liste_limit;
 $sortfield = GETPOST('sortfield', 'aZ09comma');
 $sortorder = GETPOST('sortorder', 'aZ09comma');
 $page = GETPOSTISSET('pageplusone') ? (GETPOSTINT('pageplusone') - 1) : GETPOSTINT("page");
-if (empty($page) || $page < 0 || GETPOST('button_search', 'alpha') || GETPOST('button_removefilter', 'alpha')) {
-	// If $page is not defined, or '' or -1 or if we click on clear filters
+if (empty($page) || $page == -1) {
 	$page = 0;
-}
+}     // If $page is not defined, or '' or -1
+$limit = GETPOSTINT('limit') ? GETPOSTINT('limit') : $conf->liste_limit;
 $offset = $limit * $page;
 if (!$sortorder) {
 	$sortorder = "ASC";
@@ -112,6 +103,12 @@
 	$filtert = (string) $user->id;
 }
 
+$action = GETPOST('action', 'aZ09');
+
+$mode = GETPOST('mode', 'aZ09');
+if (empty($mode) && preg_match('/show_/', $action)) {
+	$mode = $action;	// For backward compatibility
+}
 $resourceid = GETPOSTINT("search_resourceid");
 $year = GETPOSTINT("year") ? GETPOSTINT("year") : date("Y");
 $month = GETPOSTINT("month") ? GETPOSTINT("month") : date("m");
@@ -121,6 +118,7 @@
 $status = GETPOSTISSET("search_status") ? GETPOST("search_status", 'aZ09') : GETPOST("status", 'aZ09'); // status may be 0, 50, 100, 'todo', 'na' or -1
 $type = GETPOSTISSET("search_type") ? GETPOST("search_type", 'aZ09') : GETPOST("type", 'aZ09');
 $maxprint = GETPOSTISSET("maxprint") ? GETPOSTINT("maxprint") : getDolGlobalInt('AGENDA_MAX_EVENTS_DAY_VIEW', 3);
+$optioncss = GETPOST('optioncss', 'aZ'); // Option for the css output (always '' except when 'print')
 
 $dateselect = dol_mktime(0, 0, 0, GETPOSTINT('dateselectmonth'), GETPOSTINT('dateselectday'), GETPOSTINT('dateselectyear'));
 if ($dateselect > 0) {
@@ -193,7 +191,7 @@
 			if ($key == 'token') {
 				continue;
 			}
-			$param .= '&'.urlencode($key).'='.urlencode($val);
+			$param .= '&'.$key.'='.urlencode($val);
 		}
 	}
 	if (!preg_match('/action=/', $param)) {
@@ -211,7 +209,7 @@
 			if ($key == 'token') {
 				continue;
 			}
-			$param .= '&'.urlencode($key).'='.urlencode($val);
+			$param .= '&'.$key.'='.urlencode($val);
 		}
 	}
 	//print $param;
@@ -757,41 +755,29 @@
 $sql .= ' a.fk_element, a.elementtype,';
 $sql .= ' ca.code as type_code, ca.libelle as type_label, ca.color as type_color, ca.type as type_type, ca.picto as type_picto';
 
-// Add fields from hooks
 $parameters = array();
-$reshook = $hookmanager->executeHooks('printFieldListSelect', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
+$reshook = $hookmanager->executeHooks('printFieldListSelect', $parameters); // Note that $action and $object may have been modified by hook
 $sql .= $hookmanager->resPrint;
 
-$sqlfields = $sql; // $sql fields to remove for count total
-
-$sql .= " FROM ".MAIN_DB_PREFIX."c_actioncomm as ca, ".MAIN_DB_PREFIX."actioncomm as a";
+$sql .= ' FROM '.MAIN_DB_PREFIX.'c_actioncomm as ca, '.MAIN_DB_PREFIX."actioncomm as a";
 
 // We must filter on assignment table
-if (($filtert != '-1' && $filtert != '-2') || $usergroup > 0) {
-	// TODO Replace with a AND EXISTS
-	$sql .= " INNER JOIN ".MAIN_DB_PREFIX."actioncomm_resources as ar ON ar.fk_actioncomm = a.id AND ar.element_type = 'user'";
-	if ($filtert != '-1' && $filtert != '-2'  && $filtert != '-3') {
-		$sql .= " AND (ar.fk_element IN (".$db->sanitize($filtert).") OR (ar.fk_element IS NULL AND a.fk_user_action = ".((int) $filtert)."))"; // The OR is for backward compatibility
-	} elseif ($filtert == '-3') {
-		$sql .= " AND ar.fk_element IN (".$db->sanitize(implode(',', $user->getAllChildIds(1))).")";
+if ($filtert > 0 || $usergroup > 0) {
+	$sql .= " INNER JOIN ".MAIN_DB_PREFIX."actioncomm_resources as ar";
+	$sql .= " ON ar.fk_actioncomm = a.id AND ar.element_type='user'";
+	if ($filtert > 0) {
+		$sql .= " AND ar.fk_element = ".((int) $filtert);
 	}
 	if ($usergroup > 0) {
 		$sql .= " INNER JOIN ".MAIN_DB_PREFIX."usergroup_user as ugu ON ugu.fk_user = ar.fk_element AND ugu.fk_usergroup = ".((int) $usergroup);
 	}
 }
-
 // We must filter on resource table
 if ($resourceid > 0) {
 	$sql .= ", ".MAIN_DB_PREFIX."element_resources as r";
 }
-
-// Add table from hooks
-$parameters = array();
-$reshook = $hookmanager->executeHooks('printFieldListFrom', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
-$sql .= $hookmanager->resPrint;
-
-$sql .= " WHERE a.fk_action = ca.id";
-$sql .= " AND a.entity IN (".getEntity('agenda').")";	// bookcal is a "virtual view" of agenda
+$sql .= ' WHERE a.fk_action = ca.id';
+$sql .= ' AND a.entity IN ('.getEntity('agenda').')';	// bookcal is a "virtual view" of agenda
 // Condition on actioncode
 if (!empty($actioncode)) {
 	if (!getDolGlobalString('AGENDA_USE_EVENT_TYPE')) {
@@ -808,27 +794,14 @@
 			}
 		}
 	} else {
-		if ($actioncode === 'AC_NON_AUTO') {
+		if ($actioncode == 'AC_NON_AUTO') {
 			$sql .= " AND ca.type != 'systemauto'";
-		} elseif ($actioncode === 'AC_ALL_AUTO') {
+		} elseif ($actioncode == 'AC_ALL_AUTO') {
 			$sql .= " AND ca.type = 'systemauto'";
-		} else {
+		} elseif (/* !empty($actioncode) && */ $actioncode !== '-1') {
 			if (is_array($actioncode)) {
-				// Remove all -1 values
-				$actioncode = array_filter(
-					$actioncode,
-					/**
-					 * @param string $value
-					 * @return	bool
-					 */
-					function ($value) {
-						return ((string) $value !== '-1');
-					}
-				);
-				if (count($actioncode)) {
-					$sql .= " AND ca.code IN (".$db->sanitize("'".implode("','", $actioncode)."'", 1).")";
-				}
-			} elseif ($actioncode !== '-1') {
+				$sql .= " AND ca.code IN (".$db->sanitize("'".implode("','", $actioncode)."'", 1).")";
+			} else {
 				$sql .= " AND ca.code IN (".$db->sanitize("'".implode("','", explode(',', $actioncode))."'", 1).")";
 			}
 		}
@@ -854,7 +827,7 @@
 	}
 }
 // Search on socid
-if ($socid > 0) {
+if ($socid) {
 	$sql .= " AND a.fk_soc = ".((int) $socid);
 }
 //var_dump($day.' '.$month.' '.$year);
@@ -903,6 +876,17 @@
 if ($status == 'todo') {
 	$sql .= " AND (a.percent >= 0 AND a.percent < 100)";
 }
+// We must filter on assignment table
+if ($filtert > 0 || $usergroup > 0) {
+	$sql .= " AND (";
+	if ($filtert > 0) {
+		$sql .= "ar.fk_element = ".((int) $filtert);
+	}
+	if ($usergroup > 0) {
+		$sql .= ($filtert > 0 ? " OR " : "")." ugu.fk_usergroup = ".((int) $usergroup);
+	}
+	$sql .= ")";
+}
 
 // Search in categories, -1 is all and -2 is no categories
 if ($search_categ_cus != -1) {
@@ -2253,7 +2237,7 @@
 								$listofusertoshow .= $cacheusers[$tmpid]->getNomUrl(-3, '', 0, 0, 0, 0, '', 'valignmiddle inline-block');
 							}
 
-							if ($event->type_code != 'BIRTHDAY' && $event->type_code != 'HOLIDAY') {
+							if ($event->type_code != 'BIRTHDAY') {
 								print $titletoshow;
 								print $listofusertoshow.' &nbsp;';
 							}
@@ -2313,7 +2297,7 @@
 						// It's holiday calendar
 						$tmpholiday->fetch($event->id);
 
-						print $tmpholiday->getNomUrl(1, -1, 0, 'valignmiddle inline-block');
+						//print $tmpholiday->getNomUrl(1, -1, 0, 'valignmiddle inline-block');
 
 						$tmpid = $tmpholiday->fk_user;
 						if (empty($cacheusers[$tmpid])) {
@@ -2359,7 +2343,7 @@
 					print '<a href="'.DOL_URL_ROOT.'/comm/action/index.php?mode='.$mode.'&maxprint=0&month='.((int) $monthshown).'&year='.((int) $year);
 					print($status ? '&status='.$status : '').($filter ? '&filter='.urlencode($filter) : '');
 					print($filtert ? '&search_filtert='.urlencode((string) $filtert) : '');
-					print($usergroup ? '&search_usergroup='.urlencode((string) $usergroup) : '');
+					print($usergroup ? '&search_usergroup='.urlencode($usergroup) : '');
 					print($actioncode != '' ? '&search_actioncode='.urlencode($actioncode) : '');
 					print '">'.img_picto("all", "1downarrow_selected.png").' ...';
 					print ' +'.(count($eventarray[$daykey]) - $maxprint);

########## comm/action/list.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/action/list.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/action/list.php	2025-06-27 11:43:39.617813000 +0000
@@ -58,13 +58,14 @@
 $toselect 	= GETPOST('toselect', 'array');
 $contextpage = GETPOST('contextpage', 'aZ') ? GETPOST('contextpage', 'aZ') : 'actioncommlist'; // To manage different context of search
 $optioncss 	= GETPOST('optioncss', 'alpha');
+
+
+$disabledefaultvalues = GETPOSTINT('disabledefaultvalues');
+
 $mode = GETPOST('mode', 'aZ09');
 if (empty($mode) && preg_match('/show_/', $action)) {
 	$mode = $action;	// For backward compatibility
 }
-
-$disabledefaultvalues = GETPOSTINT('disabledefaultvalues');
-
 $resourceid = GETPOSTINT("search_resourceid") ? GETPOSTINT("search_resourceid") : GETPOSTINT("resourceid");
 $pid = GETPOSTINT("search_projectid", 3) ? GETPOSTINT("search_projectid", 3) : GETPOSTINT("projectid", 3);
 $search_status = (GETPOST("search_status", 'aZ09') != '') ? GETPOST("search_status", 'aZ09') : GETPOST("status", 'aZ09');
@@ -119,7 +120,7 @@
 $search_array_options = $extrafields->getOptionalsFromPost($object->table_element, '', 'search_');
 // If not choice done on calendar owner, we filter on user.
 if (empty($filtert) && !getDolGlobalString('AGENDA_ALL_CALENDARS')) {
-	$filtert = (string) $user->id;
+	$filtert = $user->id;
 }
 
 // Pagination parameters
@@ -162,7 +163,7 @@
 	$canedit = 0;
 }
 if (!$user->hasRight('agenda', 'allactions', 'read') || $filter == 'mine') {	// If no permission to see all, we show only affected to me
-	$filtert = (string) $user->id;
+	$filtert = $user->id;
 }
 
 $arrayfields = array(
@@ -205,7 +206,7 @@
 	$param = '';
 	if (is_array($_POST)) {
 		foreach ($_POST as $key => $val) {
-			$param .= '&'.urlencode($key).'='.urlencode($val);
+			$param .= '&'.$key.'='.urlencode($val);
 		}
 	}
 	//print $param;
@@ -331,10 +332,10 @@
 	$param .= "&search_status=".urlencode($search_status);
 }
 if ($filter) {
-	$param .= "&search_filter=".urlencode((string) $filter);
+	$param .= "&search_filter=".urlencode($filter);
 }
 if ($filtert) {
-	$param .= "&search_filtert=".urlencode((string) $filtert);
+	$param .= "&search_filtert=".urlencode($filtert);
 }
 if ($usergroup > 0) {
 	$param .= "&search_usergroup=".urlencode((string) ($usergroup));
@@ -462,17 +463,11 @@
 	$sql .= " INNER JOIN ".MAIN_DB_PREFIX."element_resources as r ON r.element_type = 'action' AND r.element_id = a.id";
 }
 // We must filter on assignment table
-if (($filtert != '-1' && $filtert != '-2') || $usergroup > 0) {
-	// TODO Replace with a AND EXISTS
-	$sql .= " INNER JOIN ".MAIN_DB_PREFIX."actioncomm_resources as ar ON ar.fk_actioncomm = a.id AND ar.element_type = 'user'";
-	if ($filtert != '' && $filtert != '-1' && $filtert != '-2'  && $filtert != '-3') {
-		$sql .= " AND (ar.fk_element IN (".$db->sanitize($filtert).") OR (ar.fk_element IS NULL AND a.fk_user_action = ".((int) $filtert)."))"; // The OR is for backward compatibility
-	} elseif ($filtert == '-3') {
-		$sql .= " AND ar.fk_element IN (".$db->sanitize(implode(',', $user->getAllChildIds(1))).")";
-	}
-	if ($usergroup > 0) {
-		$sql .= " INNER JOIN ".MAIN_DB_PREFIX."usergroup_user as ugu ON ugu.fk_user = ar.fk_element AND ugu.fk_usergroup = ".((int) $usergroup);
-	}
+if ($filtert > 0 || $usergroup > 0) {
+	$sql .= " INNER JOIN ".MAIN_DB_PREFIX."actioncomm_resources as ar ON ar.fk_actioncomm = a.id AND ar.element_type='user'";
+}
+if ($usergroup > 0) {
+	$sql .= " LEFT JOIN ".MAIN_DB_PREFIX."usergroup_user as ugu ON ugu.fk_user = ar.fk_element";
 }
 
 // Add table from hooks
@@ -480,7 +475,7 @@
 $reshook = $hookmanager->executeHooks('printFieldListFrom', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
 $sql .= $hookmanager->resPrint;
 
-$sql .= " WHERE a.entity IN (".getEntity('agenda').")";	// bookcal is a "virtual view" of agenda
+$sql .= " WHERE a.entity IN (".getEntity('agenda').")";
 // Condition on actioncode
 if (!empty($actioncode)) {
 	if (!getDolGlobalString('AGENDA_USE_EVENT_TYPE')) {
@@ -551,18 +546,18 @@
 	$sql .= " AND c.id = ".((int) $type);
 }
 if ($search_status == '0') {
-	// To do (not started)
 	$sql .= " AND a.percent = 0";
 }
 if ($search_status == 'na') {
-	// Not applicable
 	$sql .= " AND a.percent = -1";
-}
+}	// Not applicable
 if ($search_status == '50') {
-	// Running already started
 	$sql .= " AND (a.percent > 0 AND a.percent < 100)";
+}	// Running already started
+if ($search_status == '100') {
+	$sql .= " AND a.percent = 100";
 }
-if ($search_status == 'done' || $search_status == '100') {
+if ($search_status == 'done') {
 	$sql .= " AND (a.percent = 100)";
 }
 if ($search_status == 'todo') {
@@ -577,6 +572,17 @@
 if ($search_note) {
 	$sql .= natural_search('a.note', $search_note);
 }
+// We must filter on assignment table
+if ($filtert > 0 || $usergroup > 0) {
+	$sql .= " AND (";
+	if ($filtert > 0) {
+		$sql .= "(ar.fk_element = ".((int) $filtert)." OR (ar.fk_element IS NULL AND a.fk_user_action = ".((int) $filtert)."))"; // The OR is for backward compatibility
+	}
+	if ($usergroup > 0) {
+		$sql .= ($filtert > 0 ? " OR " : "")." ugu.fk_usergroup = ".((int) $usergroup);
+	}
+	$sql .= ")";
+}
 
 // The second or of next test is to take event with no end date (we suppose duration is 1 hour in such case)
 if ($dateselect > 0) {

########## comm/action/pertype.php
--- /homez.786/ridinteadu/_serious_analysis/van_22.0.0/dolibarr-22.0.0/htdocs/comm/action/pertype.php	2025-08-04 13:08:35.000000000 +0000
+++ /homez.786/ridinteadu/seriousalpha/dolibarr/htdocs/comm/action/pertype.php	2025-06-27 11:43:39.619739000 +0000
@@ -57,7 +57,7 @@
 $disabledefaultvalues = GETPOSTINT('disabledefaultvalues');
 
 $filter = GETPOST("search_filter", 'alpha', 3) ? GETPOST("search_filter", 'alpha', 3) : GETPOST("filter", 'alpha', 3);
-$filtert = GETPOST("search_filtert", "intcomma", 3) ? GETPOST("search_filtert", "intcomma", 3) : GETPOST("filtert", "intcomma", 3);
+$filtert = GETPOSTINT("search_filtert", 3) ? GETPOSTINT("search_filtert", 3) : GETPOSTINT("filtert", 3);
 $usergroup = GETPOSTINT("search_usergroup", 3) ? GETPOSTINT("search_usergroup", 3) : GETPOSTINT("usergroup", 3);
 //if (! ($usergroup > 0) && ! ($filtert > 0)) $filtert = $user->id;
 
@@ -95,7 +95,8 @@
 	$socid = '';
 }
 
-$canedit = 1;	// can read events of others
+// Permissions
+$canedit = 1;
 if (!$user->hasRight('agenda', 'myactions', 'read')) {
 	accessforbidden();
 }
@@ -103,7 +104,7 @@
 	$canedit = 0;
 }
 if (!$user->hasRight('agenda', 'allactions', 'read') || $filter == 'mine') {  // If no permission to see all, we show only affected to me
-	$filtert = (string) $user->id;
+	$filtert = $user->id;
 }
 
 $mode = 'show_pertype';
@@ -136,11 +137,11 @@
 }
 
 // working hours
-$tmp = getDolGlobalString('MAIN_DEFAULT_WORKING_HOURS', '9-18');
+$tmp = !getDolGlobalString('MAIN_DEFAULT_WORKING_HOURS') ? '9-18' : $conf->global->MAIN_DEFAULT_WORKING_HOURS;
 $tmp = str_replace(' ', '', $tmp); // FIX 7533
 $tmparray = explode('-', $tmp);
-$begin_h = GETPOSTISSET('begin_h') ? GETPOSTINT('begin_h') : ($tmparray[0] != '' ? $tmparray[0] : 9);
-$end_h   = GETPOSTISSET('end_h') ? GETPOSTINT('end_h') : ($tmparray[1] != '' ? $tmparray[1] : 18);
+$begin_h = GETPOSTINT('begin_h') != '' ? GETPOSTINT('begin_h') : ($tmparray[0] != '' ? $tmparray[0] : 9);
+$end_h   = GETPOSTINT('end_h') ? GETPOSTINT('end_h') : ($tmparray[1] != '' ? $tmparray[1] : 18);
 if ($begin_h < 0 || $begin_h > 23) {
 	$begin_h = 9;
 }
@@ -195,7 +196,7 @@
 // Initialize a technical object to manage hooks of page. Note that conf->hooks_modules contains an array of hook context
 $hookmanager->initHooks(array('agenda'));
 
-$result = restrictedArea($user, 'agenda', 0, 'actioncomm&societe', 'myactions');
+$result = restrictedArea($user, 'agenda', 0, '', 'myactions');
 if ($user->socid && $socid) {
 	$result = restrictedArea($user, 'societe', $socid);
 }
@@ -282,12 +283,10 @@
 }
 
 $param = '';
-if (($actioncode && $actioncode !== '-1') || GETPOSTISSET('search_actioncode')) {
+if ($actioncode || GETPOSTISSET('search_actioncode')) {
 	if (is_array($actioncode)) {
 		foreach ($actioncode as $str_action) {
-			if ($str_action != '-1') {
-				$param .= "&search_actioncode[]=".urlencode($str_action);
-			}
+			$param .= "&search_actioncode[]=".urlencode($str_action);
 		}
 	} else {
 		$param .= "&search_actioncode=".urlencode($actioncode);
@@ -300,7 +299,7 @@
 	$param .= "&search_status=".urlencode($status);
 }
 if ($filter) {
-	$param .= "&search_filter=".urlencode((string) $filter);
+	$param .= "&search_filter=".urlencode($filter);
 }
 if ($filtert) {
 	$param .= "&search_filtert=".urlencode((string) $filtert);
@@ -311,7 +310,7 @@
 if ($socid > 0) {
 	$param .= "&search_socid=".urlencode((string) ($socid));
 }
-if ($showbirthday) {  // Always false @phpstan-suppress-current-line
+if ($showbirthday) {
 	$param .= "&search_showbirthday=1";
 }
 if ($pid) {
@@ -324,16 +323,16 @@
 	$param .= '&mode='.urlencode((string) $mode);
 }
 if ($begin_h != '') {
-	$param .= '&begin_h='.((int) $begin_h);
+	$param .= '&begin_h='.urlencode($begin_h);
 }
 if ($end_h != '') {
-	$param .= '&end_h='.((int) $end_h);
+	$param .= '&end_h='.urlencode($end_h);
 }
 if ($begin_d != '') {
-	$param .= '&begin_d='.((int) $begin_d);
+	$param .= '&begin_d='.urlencode((string) ($begin_d));
 }
 if ($end_d != '') {
-	$param .= '&end_d='.((int) $end_d);
+	$param .= '&end_d='.urlencode((string) ($end_d));
 }
 $param .= "&maxprint=".urlencode((string) ($maxprint));
 
@@ -490,7 +489,7 @@
 if ($user->hasRight('agenda', 'myactions', 'create') || $user->hasRight('agenda', 'allactions', 'create')) {
 	$tmpforcreatebutton = dol_getdate(dol_now('tzuserrel'), true);
 
-	$newparam .= '&month='.str_pad((string) $month, 2, "0", STR_PAD_LEFT).'&year='.((int) $tmpforcreatebutton['year']);
+	$newparam .= '&month='.str_pad($month, 2, "0", STR_PAD_LEFT).'&year='.$tmpforcreatebutton['year'];
 
 	$urltocreateaction = DOL_URL_ROOT.'/comm/action/card.php?action=create';
 	$urltocreateaction .= '&apyear='.$tmpforcreatebutton['year'].'&apmonth='.$tmpforcreatebutton['mon'].'&apday='.$tmpforcreatebutton['mday'].'&aphour='.$tmpforcreatebutton['hours'].'&apmin='.$tmpforcreatebutton['minutes'];
@@ -525,7 +524,7 @@
 
 
 // DEFAULT CALENDAR + AUTOEVENT CALENDAR + CONFERENCEBOOTH CALENDAR
-$sql = "SELECT";
+$sql = 'SELECT';
 if ($usergroup > 0) {
 	$sql .= " DISTINCT";
 }
@@ -537,34 +536,20 @@
 $sql .= ' a.transparency, a.priority, a.fulldayevent, a.location,';
 $sql .= ' a.fk_soc, a.fk_contact, a.fk_element, a.elementtype, a.fk_project,';
 $sql .= ' ca.code, ca.libelle as type_label, ca.color, ca.type as type_type, ca.picto as type_picto';
-
-$parameters = array();
-$reshook = $hookmanager->executeHooks('printFieldListSelect', $parameters); // Note that $action and $object may have been modified by hook
-$sql .= $hookmanager->resPrint;
-
 $sql .= ' FROM '.MAIN_DB_PREFIX.'c_actioncomm as ca, '.MAIN_DB_PREFIX."actioncomm as a";
 // We must filter on resource table
 if ($resourceid > 0) {
 	$sql .= ", ".MAIN_DB_PREFIX."element_resources as r";
 }
 // We must filter on assignment table
-if (($filtert != '-1' && $filtert != '-2') || $usergroup > 0) {
-	// TODO Replace with a AND EXISTS
-	$sql .= " INNER JOIN ".MAIN_DB_PREFIX."actioncomm_resources as ar";
-	$sql .= " ON ar.fk_actioncomm = a.id AND ar.element_type = 'user'";
-	if ($filtert != '-1' && $filtert != '-2'  && $filtert != '-3') {
-		$sql .= " AND ar.fk_element IN (".$db->sanitize($filtert).")";
-	} elseif ($filtert == -3) {
-		$sql .= " AND ar.fk_element IN (".$db->sanitize(implode(',', $user->getAllChildIds(1))).")";
-	}
-	if ($usergroup > 0) {
-		$sql .= " INNER JOIN ".MAIN_DB_PREFIX."usergroup_user as ugu ON ugu.fk_user = ar.fk_element AND ugu.fk_usergroup = ".((int) $usergroup);
-	}
+if ($filtert > 0 || $usergroup > 0) {
+	$sql .= ", ".MAIN_DB_PREFIX."actioncomm_resources as ar";
 }
-
-$sql .= " WHERE a.fk_action = ca.id";
-$sql .= " AND a.entity IN (".getEntity('agenda').")";	// bookcal is a "virtual view" of agenda
-
+if ($usergroup > 0) {
+	$sql .= " LEFT JOIN ".MAIN_DB_PREFIX."usergroup_user as ugu ON ugu.fk_user = ar.fk_element";
+}
+$sql .= ' WHERE a.fk_action = ca.id';
+$sql .= ' AND a.entity IN ('.getEntity('agenda').')';
 // Condition on actioncode
 if (!empty($actioncode)) {
 	if (!getDolGlobalString('AGENDA_USE_EVENT_TYPE')) {
@@ -585,16 +570,9 @@
 			$sql .= " AND ca.type != 'systemauto'";
 		} elseif ($actioncode == 'AC_ALL_AUTO') {
 			$sql .= " AND ca.type = 'systemauto'";
-		} elseif ($actioncode !== '-1' && $actioncode !== '-3') {
+		} else {
 			if (is_array($actioncode)) {
-				foreach ($actioncode as $key => $val) {
-					if ($val == '-1' || $val == '-2') {
-						unset($actioncode[$key]);
-					}
-				}
-				if (!empty($actioncode)) {
-					$sql .= " AND ca.code IN (".$db->sanitize("'".implode("','", $actioncode)."'", 1).")";
-				}
+				$sql .= " AND ca.code IN (".$db->sanitize("'".implode("','", $actioncode)."'", 1).")";
 			} else {
 				$sql .= " AND ca.code IN (".$db->sanitize("'".implode("','", explode(',', $actioncode))."'", 1).")";
 			}
@@ -609,7 +587,7 @@
 }
 // If the internal user must only see his customers, force searching by him
 $search_sale = 0;
-if (isModEnabled("societe") && !$user->hasRight('societe', 'client', 'voir')) {
+if (!$user->hasRight('societe', 'client', 'voir')) {
 	$search_sale = $user->id;
 }
 // Search on sale representative
@@ -624,7 +602,10 @@
 if ($socid) {
 	$sql .= " AND a.fk_soc = ".((int) $socid);
 }
-
+// We must filter on assignment table
+if ($filtert > 0 || $usergroup > 0) {
+	$sql .= " AND ar.fk_actioncomm = a.id AND ar.element_type='user'";
+}
 if ($mode == 'show_day') {
 	$sql .= " AND (";
 	$sql .= " (a.datep BETWEEN '".$db->idate(dol_mktime(0, 0, 0, $month, $day, $year, 'tzuserrel'))."'";
@@ -635,7 +616,7 @@
 	$sql .= " OR ";
 	$sql .= " (a.datep < '".$db->idate(dol_mktime(0, 0, 0, $month, $day, $year, 'tzuserrel'))."'";
 	$sql .= " AND a.datep2 > '".$db->idate(dol_mktime(23, 59, 59, $month, $day, $year, 'tzuserrel'))."')";
-	$sql .= ")";
+	$sql .= ')';
 } else {
 	// To limit array
 	$sql .= " AND (";
@@ -653,7 +634,6 @@
 	$sql .= " AND ca.id = ".((int) $type);
 }
 if ($status == '0') {
-	// To do (not started)
 	$sql .= " AND a.percent = 0";
 }
 if ($status === 'na') {
@@ -671,33 +651,26 @@
 	$sql .= " AND (a.percent >= 0 AND a.percent < 100)";
 }
 // We must filter on assignment table
-if (($filtert > 0 || $filtert == -3) || $usergroup > 0) {
-	// TODO Replace with a AND EXISTS
+if ($filtert > 0 || $usergroup > 0) {
 	$sql .= " AND (";
 	if ($filtert > 0) {
-		$sql .= "ar.fk_element = ".((int) $filtert);
-	} elseif ($filtert == -3) {
-		$sql .= "ar.fk_element IN (".$db->sanitize(implode(',', $user->getAllChildIds(1))).")";
+		$sql .= "ar.fk_element = ".$filtert;
 	}
 	if ($usergroup > 0) {
 		$sql .= ($filtert > 0 ? " OR " : "")." ugu.fk_usergroup = ".((int) $usergroup);
 	}
 	$sql .= ")";
 }
-
 // Sort on date
-$sql .= $db->order("fk_user_action, datep");
-
+$sql .= ' ORDER BY fk_user_action, datep'; //fk_user_action
 //print $sql;
 
 dol_syslog("comm/action/pertype.php", LOG_DEBUG);
 $resql = $db->query($sql);
 if ($resql) {
 	$num = $db->num_rows($resql);
-
-	$MAXONSAMEPAGE = 10000; // Useless to have more. Protection to avoid memory overload when high number of event (for example after a mass import)
 	$i = 0;
-	while ($i < $num && $i < $MAXONSAMEPAGE) {
+	while ($i < $num) {
 		$obj = $db->fetch_object($resql);
 
 		// Discard auto action if option is on

########## comm/action/peruser.php
